From owner-linux-pci@atrey.karlin.mff.cuni.cz Tue Aug  9 09:07:29 2005
Date: Tue, 9 Aug 2005 18:06:19 +0200
Message-Id: <200508091606.j79G6JM0014337@wscnet.wsc.cz>
Subject: PCI: update documentation
From: Jiri Slaby <jirislaby@gmail.com>
To: Greg KH <greg@kroah.com>
Cc: Andrew Morton <akpm@osdl.org>

This removes very old functions from pci docs, which aren't no longer in the
kernel.

Signed-off-by: Jiri Slaby <xslaby@fi.muni.cz>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>

---
 Documentation/pci.txt |   14 --------------
 1 files changed, 14 deletions(-)

--- gregkh-2.6.orig/Documentation/pci.txt	2005-06-17 12:48:29.000000000 -0700
+++ gregkh-2.6/Documentation/pci.txt	2005-08-09 16:34:07.000000000 -0700
@@ -266,20 +266,6 @@
 in the kernel as they aren't compatible with hotplug or PCI domains or
 having sane locking.
 
-pcibios_present() and		Since ages, you don't need to test presence
-pci_present()			of PCI subsystem when trying to talk to it.
-				If it's not there, the list of PCI devices
-				is empty and all functions for searching for
-				devices just return NULL.
-pcibios_(read|write)_*		Superseded by their pci_(read|write)_*
-				counterparts.
-pcibios_find_*			Superseded by their pci_get_* counterparts.
-pci_for_each_dev()		Superseded by pci_get_device()
-pci_for_each_dev_reverse()	Superseded by pci_find_device_reverse()
-pci_for_each_bus()		Superseded by pci_find_next_bus()
 pci_find_device()		Superseded by pci_get_device()
 pci_find_subsys()		Superseded by pci_get_subsys()
 pci_find_slot()			Superseded by pci_get_slot()
-pcibios_find_class()		Superseded by pci_get_class()
-pci_find_class()		Superseded by pci_get_class()
-pci_(read|write)_*_nodev()	Superseded by pci_bus_(read|write)_*()
